Package javax.validation

# Interface Validator

public interface Validator

Version:
  $Rev$ $Date$

## Method Summary

Modifier and Type
Method
Description
`ExecutableValidator`
`forExecutables()`
`BeanDescriptor`
`getConstraintsForClass(Class<?> clazz)`
`<T> T`
`unwrap(Class<T> type)`
`<T> Set<ConstraintViolation<T>>`
`validate(T object, Class<?>... groups)`
`<T> Set<ConstraintViolation<T>>`
`validateProperty(T object, String propertyName, Class<?>... groups)`
`<T> Set<ConstraintViolation<T>>`
`validateValue(Class<T> beanType, String propertyName, Object value, Class<?>... groups)`

## Method Details

### validate

<T> Set<ConstraintViolation<T>> validate(T object, Class<?>... groups)

### validateProperty

<T> Set<ConstraintViolation<T>> validateProperty(T object, String propertyName, Class<?>... groups)

### validateValue

<T> Set<ConstraintViolation<T>> validateValue(Class<T> beanType, String propertyName, Object value, Class<?>... groups)

### getConstraintsForClass

BeanDescriptor getConstraintsForClass(Class<?> clazz)

### unwrap

<T> T unwrap(Class<T> type)

### forExecutables

ExecutableValidator forExecutables()

Since:
  1.1